Bug 923355 - guestfish prints literal "\n" in error messages
Summary: guestfish prints literal "\n" in error messages
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libguestfs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1153974
TreeView+ depends on / blocked
 
Reported: 2013-03-19 16:14 UTC by Richard W.M. Jones
Modified: 2014-10-17 08:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-10 09:35:28 UTC


Attachments (Terms of Use)

Description Richard W.M. Jones 2013-03-19 16:14:13 UTC
Description of problem:

$ guestfish 

Welcome to guestfish, the libguestfs filesystem interactive shell for
editing virtual machine filesystems.

Type: 'help' for help on commands
      'man' to read the manual
      'quit' to quit the shell

><fs> inspect-os
libguestfs: error: umount_all: call launch before using this function\n(in guestfish, don't forget to use the 'run' command)

Note literal \n that appears in the error message.

(Reported by Matt Booth)

Version-Release number of selected component (if applicable):

libguestfs 1.21.22

Comment 1 Richard W.M. Jones 2013-03-19 16:18:51 UTC
Didn't happen in 1.16.30.

Comment 2 Pino Toscano 2013-12-09 19:23:12 UTC
(In reply to Richard W.M. Jones from comment #0)
> ><fs> inspect-os
> libguestfs: error: umount_all: call launch before using this function\n(in
> guestfish, don't forget to use the 'run' command)
> 
> Note literal \n that appears in the error message.

I can reproduce it also in current 1.25.13 from Git, so it is still valid.

OTOH it seems like this is the only occurrence of a literal \n in error messages (at least, I could not find others); so I just fixed it and sent to the mailing list:
https://www.redhat.com/archives/libguestfs/2013-December/msg00046.html

Comment 3 Pino Toscano 2013-12-10 09:35:28 UTC
Fixed upstream with:
https://github.com/libguestfs/libguestfs/commit/41729c6556bbab7d5532a9a699848aa254b77d27
in libguestfs >= 1.25.14.


Note You need to log in before you can comment on or make changes to this bug.